IF EXISTS  (SELECT SysColumns.* 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'purposecode'
    WHERE SysObjects.Name = 'Reservations'
	AND SysColumns.xtype = 52)
		ALTER TABLE Reservations ALTER COLUMN purposecode INT


	